Page MenuHomePhabricator

Toolbar: Don't show "Add a message for the creator" without a textbox
Closed, ResolvedPublic

Description

Steps to reproduce:
Go to any unpatrolled user page in the new pages feed (in the screenshot, this is https://en.wikipedia.org/wiki/User:SD0001/Scripts)
Open the curation toolbar
Click the check mark

Actual result:
See image below

Expect result:
Either the "Add a message for the creator" button isn't shown, or a textbox is added to actually allow a message to be sent

Details

Related Gerrit Patches:

Event Timeline

DannyS712 created this task.Aug 5 2019, 5:38 AM
Restricted Application added projects: Growth-Team, User-DannyS712. · View Herald TranscriptAug 5 2019, 5:38 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 528261 had a related patch set uploaded (by HMonroy; owner: HMonroy):
[mediawiki/extensions/PageTriage@master] Remove message for creator button when this feature is disabled

https://gerrit.wikimedia.org/r/528261

Change 528261 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Remove message for creator button when this feature is disabled

https://gerrit.wikimedia.org/r/528261

@dom_walden When this work is released to beta, can you verify that it's working as expected? Thank you!

@dom_walden When this work is released to beta, can you verify that it's working as expected? Thank you!

It was released on beta, and I can confirm that it works

@dom_walden When this work is released to beta, can you verify that it's working as expected? Thank you!

I no longer see an option to add a message for creator, on either beta or test.

On beta, I also retested the page curation functions on user pages (incl. review, unreview, WikiLove, mark for deletion).

@dom_walden In betalabs the "Add a message for the creator" textfield is displayed (I was checking NewPagesFeed for issues unrelated to this ticket):

Etonkovidova moved this task from Inbox to External on the Growth-Team board.Aug 14 2019, 9:14 PM

@dom_walden In betalabs the "Add a message for the creator" textfield is displayed (I was checking NewPagesFeed for issues unrelated to this ticket):

What page are you looking at? The "add a message for the creator" should be displayed on articles, just not for user pages

@dom_walden In betalabs the "Add a message for the creator" textfield is displayed (I was checking NewPagesFeed for issues unrelated to this ticket):

What page are you looking at? The "add a message for the creator" should be displayed on articles, just not for user pages

Yes, you're right - I see it now, sorry. So, all is working as expected. User pages do not display the textfield, the article pages doesn't display it.

The above screenshot was taken on https://en.wikipedia.beta.wmflabs.org/wiki/Selenium_user/Selenium_wikitext_editor_test_0.38253720117366385.

This work should now be on production. @DannyS712, can you verify that it is working as expected? Thanks!

DannyS712 closed this task as Resolved.Aug 16 2019, 7:09 PM

@ifried verified

Thank you, @DannyS712!

This work is now complete.